Page MenuHomePhabricator

Clean up deprecated functions in GlobalFunctions.php
Open, NormalPublic

Description

Some functions are now marked deprecated but are still in use in the core code, and some are marked deprecated without reference to a version. The code should be cleansed for use of deprecated functions and deprecated functions should be marked properly with the version where it became deprecated. If functions that are not deprecated is indeed marked as such, then the marking should be removed.

See Also:

Details

Reference
bz40485

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:09 AM
bzimport set Reference to bz40485.
bzimport added a subscriber: Unknown Object (MLST).
jeblad created this task.Sep 24 2012, 9:38 PM

Is there somewhere a bug about wfMsg use? We could mark it i18n.

dee wrote:

And where appropriate, a link to the replacement would be useful.
As of 1.22.2, wfMsg() just says it's deprecated, but with no reference to wfMessage().

Aklapper added a subscriber: Aklapper.

Interested in working on this. But i will need to know the marking used so i can identify the deprecated functions.

QuimGil updated the task description. (Show Details)Sep 14 2015, 8:43 AM
QuimGil set Security to None.
D3r1ck01 claimed this task.Sep 16 2015, 6:29 AM
D3r1ck01 removed D3r1ck01 as the assignee of this task.Sep 16 2015, 9:31 AM
Danny_B moved this task from Unsorted to Cleanup on the Technical-Debt board.Jan 22 2016, 11:35 PM

Change 505782 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/Flow@master] maintenance: Avoid use of deprecated function wfDiff()

https://gerrit.wikimedia.org/r/505782

Change 505781 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] GlobalFunctions: Avoid use of deprecated function wfDiff()

https://gerrit.wikimedia.org/r/505781

Change 505798 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/WebDAV@master] Avoid use of deprecated wfGetLBFactory() function

https://gerrit.wikimedia.org/r/505798

Change 505798 merged by Gergő Tisza:
[mediawiki/extensions/WebDAV@master] Avoid use of deprecated wfGetLBFactory() function

https://gerrit.wikimedia.org/r/505798

Change 506859 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] GlobalFunctions: Remove usage of wfArrayFilter & wfArrayFilterByKey

https://gerrit.wikimedia.org/r/506859

Change 506861 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] GlobalFunctions: Remove deprecated wfMakeUrlIndexes() function

https://gerrit.wikimedia.org/r/506861

Change 506859 merged by jenkins-bot:
[mediawiki/core@master] GlobalFunctions: Remove usage of wfArrayFilter & wfArrayFilterByKey

https://gerrit.wikimedia.org/r/506859

Change 506861 merged by jenkins-bot:
[mediawiki/core@master] GlobalFunctions: Remove deprecated wfMakeUrlIndexes() function

https://gerrit.wikimedia.org/r/506861

Change 505781 abandoned by D3r1ck01:
GlobalFunctions: Avoid use of deprecated function wfDiff()

https://gerrit.wikimedia.org/r/505781

Change 505782 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] maintenance: Avoid use of deprecated function wfDiff()

https://gerrit.wikimedia.org/r/505782